---
title: "Create / edit a stage"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/stages.save
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Create / edit a stage

Create or edit a pipeline stage.

Create or edit a pipeline stage.

## Overview

| Name | Value |
| --- | --- |
| Code | `stages.save` |
| Scope needed | `crm.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | People → Pipeline |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `uuid` | No |   |
| `name` | `text` | Yes |   |
| `color` | `"gray" \| "blue" \| "green" \| "yellow" \| "red" \| "violet"` | Yes |   |
| `kind` | `"open" \| "won" \| "lost"` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/stages.save \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","color":"gray"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "stages.save"`. Tool name when listed: `stages_save`.
